Subject: Bug#4269: xosview has only XOSView as application resource file

From: [email-masked] (David Frey)
Date: Sun, 25 Aug 96 23:15 MET DST

Package: xosview
Version: 1.3.2-6

Xosview only reads the file XOSView (and ~/.Xdefaults) when evaluating 
its X resources. It does this by doing all the reading by foot (calling
XrmGetFileDatabase() etc.). 
This is IMO the wrong way to do it; the application should use 
XtGetApplicationResources() (as xsysinfo does it).  Using 
XtGetApplicationResources() makes it possible to have a set of
Application-Default-files which can conditionally be used; the classic
use of this is to have a 'Foo' and a 'Foo-color' resource file, where
'Foo' contains only black & white stuff and 'Foo-color' contains the color
definition and #includes 'Foo'. By doing it this way you can put 

#ifdef COLOR
*customization:	-color
#endif

...

into your /etc/X11/XDefaults line and all (correctly configured) 
applications look their color configuration up in *-color application 
definitions.

David

PS:  This bug should probably forwarded to the upstream maintainer.
PPS: If I knew enough C++ and if I understood the code dependencies,
     I had fixed this myself.